1.0
1.0
post /v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules
Description
Transit Gateway Uplink 규칙 생성
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : fe860e0af0c04dcd8182b84f907f31f4 | string | None |
| body | body required | TransitGatewayUplinkRuleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | TransitGatewayUplinkRuleCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"description": "Routing Rule Description",
"destination_cidr": "192.167.5.0/24",
"destination_type": "ON_PREMISE"
}
Example HTTP response
Response 202
{
"transit_gateway_rule": {
"description": "Routing Rule Description",
"destination_cidr": "192.167.5.0/24",
"destination_type": "ON_PREMISE",
"id": "43772aff4539403d9ba74bf1fdaa00c8",
"state": "ACTIVE"
}
}